# Uses of Class
com.google.protobuf.LazyFieldLite

Packages that use LazyFieldLite
Package
Description
com.google.protobuf

## Uses of LazyFieldLite in com.google.protobuf

Subclasses of LazyFieldLite in com.google.protobuf
Modifier and Type
Class
Description
`class`
`LazyField`
LazyField encapsulates the logic of lazily parsing message fields.
Methods in com.google.protobuf that return LazyFieldLite
Modifier and Type
Method
Description
`static LazyFieldLite`
LazyFieldLite.`fromValue(MessageLite value)`
Constructs a LazyFieldLite instance with a value.
Methods in com.google.protobuf with parameters of type LazyFieldLite
Modifier and Type
Method
Description
`static int`
CodedOutputStream.`computeLazyFieldMessageSetExtensionSize(int fieldNumber, LazyFieldLite value)`
Compute the number of bytes that would be needed to encode a lazily parsed MessageSet extension field to the stream.
`static int`
CodedOutputStream.`computeLazyFieldSize(int fieldNumber, LazyFieldLite value)`
Compute the number of bytes that would be needed to encode an embedded message in lazy field, including tag.
`static int`
CodedOutputStream.`computeLazyFieldSizeNoTag(LazyFieldLite value)`
Compute the number of bytes that would be needed to encode an embedded message stored in lazy field.
`void`
LazyFieldLite.`merge(LazyFieldLite other)`
Merges another instance's contents.
`void`
LazyFieldLite.`set(LazyFieldLite other)`
Overrides the contents of this LazyField.